com.smartgwt.client.types

## Enum OperatorValueType

- java.lang.Object
- - java.lang.Enum<OperatorValueType>
  - - com.smartgwt.client.types.OperatorValueType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<OperatorValueType>

      public enum OperatorValueType
      extends java.lang.Enum<OperatorValueType>
      implements ValueEnum

  Indicates the kind of value expected in a `Criterion` that uses this operator.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITERIA` `Criterion.criteria` should be an Array of criteria (used for logical operators like "and").
    `CUSTOM` `Criterion.value` should contain a value which is not necessarily the same type as the field (used for regexp and similar operators).
    `FIELD_NAME` `Criterion.value` should be the name of another field in the record
    `FIELD_TYPE` `Criterion.value` should contain a value of the same type as the field.
    `NONE` no criterion.value or other setting required (used for operators like isNull).
    `VALUE_RANGE` `Criterion.start` and `Criterion.end` should contain start and end values, both of the same type as the field.
    `VALUE_SET` `Criterion.value` should contain an Array of valid field values.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static OperatorValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OperatorValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIELD_TYPE

          public static final OperatorValueType FIELD_TYPE

      `Criterion.value` should contain a value of the same type as the field.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fieldType".

    - #### FIELD_NAME

          public static final OperatorValueType FIELD_NAME

      `Criterion.value` should be the name of another field in the record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fieldName".

    - #### NONE

          public static final OperatorValueType NONE

      no criterion.value or other setting required (used for operators like isNull).

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### CRITERIA

          public static final OperatorValueType CRITERIA

      `Criterion.criteria` should be an Array of criteria (used for logical operators like "and").

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "criteria".

    - #### VALUE_RANGE

          public static final OperatorValueType VALUE_RANGE

      `Criterion.start` and `Criterion.end` should contain start and end values, both of the same type as the field.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "valueRange".

    - #### VALUE_SET

          public static final OperatorValueType VALUE_SET

      `Criterion.value` should contain an Array of valid field values.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "valueSet".

    - #### CUSTOM

          public static final OperatorValueType CUSTOM

      `Criterion.value` should contain a value which is not necessarily the same type as the field (used for regexp and similar operators). Operator.editorType can be specified as a FormItem to use to enter a value for the criterion.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "custom".

  - ### Method Detail

    - #### values

          public static OperatorValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperatorValueType c : OperatorValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperatorValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`